## org.eclipse.emf.cdo.ui
Class CDOItemProvider

    java.lang.Object
      org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
          org.eclipse.net4j.util.ui.views.ItemProvider<CONTAINER>
              org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>
                  org.eclipse.emf.cdo.ui.CDOItemProvider

All Implemented Interfaces:
  java.util.EventListener, IBaseLabelProvider, IColorProvider, IContentProvider, IFontProvider, ILabelProvider, IStructuredContentProvider, ITreeContentProvider, org.eclipse.net4j.util.event.IListener

    public class CDOItemProvider

extends org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider
`org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.ContainerNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode, org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node`

Field Summary

Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider
`NO_ELEMENTS`

Constructor Summary
`CDOItemProvider(IWorkbenchPage page)`
`CDOItemProvider(IWorkbenchPage page, org.eclipse.net4j.util.ui.views.IElementFilter rootElementFilter)`

Method Summary
`protected void` `elementAdded(java.lang.Object element, java.lang.Object parent)`
`protected void` `elementRemoved(java.lang.Object element, java.lang.Object parent)`
`protected void` `fillContextMenu(IMenuManager manager, ITreeSelection selection)`
`protected boolean` `fillGenerated(MenuManager manager, CDOSession session)`
`protected void` `fillSession(IMenuManager manager, CDOSession session)`
`protected void` `fillView(IMenuManager manager, CDOView view)`
`java.lang.Object[]` `getChildren(java.lang.Object element)`
`Image` `getImage(java.lang.Object obj)`
`java.lang.Object` `getParent(java.lang.Object element)`
`static java.lang.String` `getSessionLabel(CDOSession session)`
`java.lang.String` `getText(java.lang.Object obj)`
`static java.lang.String` `getViewLabel(CDOView view)`
`boolean` `hasChildren(java.lang.Object element)`

Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider
`addNode, connectInput, createContaineNode, createLeafNode, createNode, disconnectInput, dispose, filterRootElement, getNode, getNodes, getRoot, getRootElementFilter, handleInactiveElement, removeNode`

Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider
`addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getBackground, getElements, getFont, getForeground, getListeners, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider
`getDisplay, getInput, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, updateLabels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`inputChanged`

Constructor Detail

### CDOItemProvider

    public CDOItemProvider(IWorkbenchPage page,
                           org.eclipse.net4j.util.ui.views.IElementFilter rootElementFilter)

### CDOItemProvider

    public CDOItemProvider(IWorkbenchPage page)

Method Detail

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object element)

  Specified by:
    `getChildren` in interface `ITreeContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `ITreeContentProvider`
  Overrides:
    `hasChildren` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `ITreeContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### getText

    public java.lang.String getText(java.lang.Object obj)

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.net4j.util.ui.views.ItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### getImage

    public Image getImage(java.lang.Object obj)

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.net4j.util.ui.views.ItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### getSessionLabel

    public static java.lang.String getSessionLabel(CDOSession session)

  Since:
    2.0

### getViewLabel

    public static java.lang.String getViewLabel(CDOView view)

  Since:
    2.0

### fillContextMenu

    protected void fillContextMenu(IMenuManager manager,
                                   ITreeSelection selection)

  Overrides:
    `fillContextMenu` in class `org.eclipse.net4j.util.ui.views.ItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### fillSession

    protected void fillSession(IMenuManager manager,
                               CDOSession session)

  Since:
    2.0

### fillGenerated

    protected boolean fillGenerated(MenuManager manager,
                                    CDOSession session)

  Since:
    2.0

### fillView

    protected void fillView(IMenuManager manager,
                            CDOView view)

  Since:
    2.0

### elementAdded

    protected void elementAdded(java.lang.Object element,
                                java.lang.Object parent)

  Overrides:
    `elementAdded` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

### elementRemoved

    protected void elementRemoved(java.lang.Object element,
                                  java.lang.Object parent)

  Overrides:
    `elementRemoved` in class `org.eclipse.net4j.util.ui.views.ContainerItemProvider<org.eclipse.net4j.util.container.IContainer<java.lang.Object>>`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.